#
# spec file for package spacewalk-search
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{!?__redhat_release:%define __redhat_release UNKNOWN}

Name:           spacewalk-search
Summary:        Spacewalk Full Text Search Server
Group:          Applications/Internet
License:        GPL v2 only
Version:        1.2.4
Release:        1.2
# This src.rpm is cannonical upstream
# You can obtain it using this set of commands
# git clone git://git.fedorahosted.org/git/spacewalk.git/
# cd search-server
# make test-srpm
Url:            https://fedorahosted.org/spacewalk
Source0:        spacewalk-search-git-f5bf811b87bd1edc69ba40f3190a3674285036f9.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

#Requires: apache-ibatis-sqlmap
Requires:       doc-indexes
Requires:       jakarta-commons-cli
Requires:       jakarta-commons-codec
Requires:       jakarta-commons-httpclient
Requires:       jakarta-commons-lang >= 2.1
Requires:       jakarta-commons-logging
Requires:       jpackage-utils >= 1.5
Requires:       log4j
Requires:       oro
#Requires: lucene
Requires:       quartz
Requires:       redstone-xmlrpc
#Requires: picocontainer
Requires:       tanukiwrapper
Requires:       simple-core
Obsoletes:      rhn-search < 5.3.0
BuildRequires:  ant java-devel unzip rhino
#BuildRequires: apache-ibatis-sqlmap
BuildRequires:  jakarta-commons-cli
BuildRequires:  jakarta-commons-codec
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  jakarta-commons-lang >= 2.1
BuildRequires:  jakarta-commons-logging
BuildRequires:  java-devel >= 1.6.0 unzip
BuildRequires:  log4j
BuildRequires:  oro
#BuildRequires: lucene
BuildRequires:  quartz
BuildRequires:  redstone-xmlrpc
#BuildRequires: picocontainer
BuildRequires:  tanukiwrapper
BuildRequires:  simple-core
%if 0%{?suse_version}
Requires(post): aaa_base
Requires(preun): aaa_base
%else
Requires(post): chkconfig
Requires(preun): chkconfig
# This is for /sbin/service
Requires(preun): initscripts
%endif

%description
This package contains the code for the Full Text Search Server for
Spacewalk Server.



%prep
%setup -n spacewalk-search-git-f5bf811b87bd1edc69ba40f3190a3674285036f9

%install
rm -fr ${RPM_BUILD_ROOT}
%if 0%{?suse_version}
ant -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 -Djar.version=%{version} install
%else
ant -Djar.version=%{version} install
%endif
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/rhn/search
install -d -m 755 $RPM_BUILD_ROOT%{_prefix}/share/rhn/search
install -d -m 755 $RPM_BUILD_ROOT%{_prefix}/share/rhn/search/indexes
install -d -m 755 $RPM_BUILD_ROOT%{_prefix}/share/rhn/search/lib
install -d -m 755 $RPM_BUILD_ROOT%{_prefix}/share/rhn/search/classes/com/redhat/satellite/search/db
install -d -m 755 $RPM_BUILD_ROOT%{_initrddir}
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_var}/log/rhn/search
install -d -m 755 $RPM_BUILD_ROOT%{_prefix}/share/rhn/search/nutch
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d
install -p -m 644 dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_prefix}/share/rhn/search/lib/
# using install -m does not preserve the symlinks
cp -d lib/* $RPM_BUILD_ROOT/%{_prefix}/share/rhn/search/lib
install -p -m 644 src/config/log4j.properties $RPM_BUILD_ROOT/%{_prefix}/share/rhn/search/classes/log4j.properties
install -p -m 644 src/config/etc/logrotate.d/rhn-search $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/rhn-search
install -p -m 644 src/config/com/redhat/satellite/search/db/* $RPM_BUILD_ROOT%{_prefix}/share/rhn/search/classes/com/redhat/satellite/search/db
install -p -m 755 src/config/rhn-search $RPM_BUILD_ROOT%{_initrddir}
ln -s -f /usr/sbin/tanukiwrapper $RPM_BUILD_ROOT%{_bindir}/rhnsearchd
install -p -m 644 src/config/search/rhn_search.conf $RPM_BUILD_ROOT%{_sysconfdir}/rhn/search/rhn_search.conf
install -p -m 644 src/config/search/rhn_search_daemon.conf $RPM_BUILD_ROOT%{_sysconfdir}/rhn/search/rhn_search_daemon.conf
ln -s -f %{_prefix}/share/rhn/search/lib/spacewalk-search-%{version}.jar $RPM_BUILD_ROOT%{_prefix}/share/rhn/search/lib/spacewalk-search.jar

# add rc link
mkdir -p  $RPM_BUILD_ROOT/%{_sbindir}/
ln -sf ../../etc/init.d/rhn-search $RPM_BUILD_ROOT/%{_sbindir}/rcrhn-search

%clean
rm -rf $RPM_BUILD_ROOT

%post
%if 0%{?suse_version}
%{fillup_and_insserv rhn-search}
%else
# This adds the proper /etc/rc*.d links for the script
/sbin/chkconfig --add rhn-search
%endif

%preun
%if 0%{?suse_version}
%stop_on_removal rhn-search
%else
if [ $1 = 0 ] ; then
    /sbin/service rhn-search stop >/dev/null 2>&1
    /sbin/chkconfig --del rhn-search
fi
%endif

%files
%defattr(644,root,root,755)
%attr(755, root, root) %{_var}/log/rhn/search
%{_prefix}/share/rhn/search/lib/*
%{_prefix}/share/rhn/search/classes/log4j.properties
%{_prefix}/share/rhn/search/classes/com/*
%attr(755, root, root) %{_prefix}/share/rhn/search/indexes
%attr(755, root, root) %{_initrddir}/rhn-search
%attr(755, root, root) %{_bindir}/rhnsearchd
%{_sbindir}/rcrhn-search
%dir %{_sysconfdir}/rhn/search/
%config(noreplace) %{_sysconfdir}/rhn/search/rhn_search.conf
%config(noreplace) %{_sysconfdir}/rhn/search/rhn_search_daemon.conf
%{_sysconfdir}/logrotate.d/rhn-search
%dir /etc/rhn
%dir /usr/share/rhn
%dir /usr/share/rhn/search
%dir /usr/share/rhn/search/classes
%dir /usr/share/rhn/search/classes/com
%dir /usr/share/rhn/search/lib
%attr(770,root,www) %dir /var/log/rhn

%changelog
* Mon Feb  7 2011 mc@suse.de
- add rc link (bnc#669894)
* Tue Jan 11 2011 mc@suse.de
- fix requires
* Wed Sep 15 2010 mantel@suse.de
- Initial release of spacewalk-search
